export declare enum PageEditorTextSizeOptions {
    "14px" = "14px",
    "18px" = "18px",
    "24px" = "24px"
}
export declare enum PageEditorSpacerHeightOptions {
    "18px" = "18",
    "24px" = "24",
    "48px" = "48"
}
export declare enum PageEditorTextIndentationOptions {
    "left" = "left",
    "center" = "center",
    "right" = "right"
}
export declare enum PageEditorSpacerTypes {
    "empty" = "empty",
    "dotted" = "dotted",
    "dashed" = "dashed",
    "solid" = "solid"
}
export declare enum PageEditorComponentsType {
    text = 0,
    image = 1,
    video = 2,
    spacer = 3
}
declare global {
    type ComponentSection = {
        type: PageEditorComponentsType;
        id: string;
        content: string | PageEditorSpacerTypes;
        settings?: {
            width?: number;
            height?: number;
            fontSize?: PageEditorTextSizeOptions;
            textIndentation?: PageEditorTextIndentationOptions;
            imageAltText?: string;
            spacerHeight?: PageEditorSpacerHeightOptions;
        };
    };
}
